Package org.eclipse.emf.cdo.etypes

# Interface EtypesPackage.Literals

Enclosing interface:
  `EtypesPackage`

public static interface EtypesPackage.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Generated
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EClass`
`ANNOTATION`
The meta object literal for the '`Annotation`' class.
`static final EReference`
`ANNOTATION__CONTENTS`
The meta object literal for the 'Contents' containment reference list feature.
`static final EReference`
`ANNOTATION__DETAILS`
The meta object literal for the 'Details' map feature.
`static final EReference`
`ANNOTATION__MODEL_ELEMENT`
The meta object literal for the 'Model Element' container reference feature.
`static final EReference`
`ANNOTATION__REFERENCES`
The meta object literal for the 'References' reference list feature.
`static final EAttribute`
`ANNOTATION__SOURCE`
The meta object literal for the 'Source' attribute feature.
`static final EDataType`
`BLOB`
The meta object literal for the 'Blob' data type.
`static final EDataType`
`BRANCH_POINT_REF`
The meta object literal for the 'Branch Point Ref' data type.
`static final EDataType`
`BRANCH_REF`
The meta object literal for the 'Branch Ref' data type.
`static final EDataType`
`CLASSIFIER_REF`
The meta object literal for the 'Classifier Ref' data type.
`static final EDataType`
`CLOB`
The meta object literal for the 'Clob' data type.
`static final EDataType`
`INPUT_STREAM`
The meta object literal for the 'Input Stream' data type.
`static final EDataType`
`LOB`
The meta object literal for the 'Lob' data type.
`static final EClass`
`MODEL_ELEMENT`
The meta object literal for the '`Model Element`' class.
`static final EOperation`
`MODEL_ELEMENT___GET_ANNOTATION__STRING`
The meta object literal for the 'Get Annotation' operation.
`static final EReference`
`MODEL_ELEMENT__ANNOTATIONS`
The meta object literal for the 'Annotations' containment reference list feature.
`static final EDataType`
`READER`
The meta object literal for the 'Reader' data type.
`static final EClass`
`STRING_TO_STRING_MAP_ENTRY`
The meta object literal for the '`String To String Map Entry`' class.
`static final EAttribute`
`STRING_TO_STRING_MAP_ENTRY__KEY`
The meta object literal for the 'Key' attribute feature.
`static final EAttribute`
`STRING_TO_STRING_MAP_ENTRY__VALUE`
The meta object literal for the 'Value' attribute feature.

## Field Details

### MODEL_ELEMENT

static final EClass MODEL_ELEMENT
The meta object literal for the '`Model Element`' class.

See Also:
  - `ModelElementImpl`
  - `EtypesPackageImpl.getModelElement()`
Generated

### MODEL_ELEMENT__ANNOTATIONS

static final EReference MODEL_ELEMENT__ANNOTATIONS
The meta object literal for the 'Annotations' containment reference list feature.

Generated

### MODEL_ELEMENT___GET_ANNOTATION__STRING

static final EOperation MODEL_ELEMENT___GET_ANNOTATION__STRING
The meta object literal for the 'Get Annotation' operation.

Since:
  4.11
Generated

### ANNOTATION

static final EClass ANNOTATION
The meta object literal for the '`Annotation`' class.

See Also:
  - `AnnotationImpl`
  - `EtypesPackageImpl.getAnnotation()`
Generated

### ANNOTATION__SOURCE

static final EAttribute ANNOTATION__SOURCE
The meta object literal for the 'Source' attribute feature.

Generated

### ANNOTATION__DETAILS

static final EReference ANNOTATION__DETAILS
The meta object literal for the 'Details' map feature.

Generated

### ANNOTATION__MODEL_ELEMENT

static final EReference ANNOTATION__MODEL_ELEMENT
The meta object literal for the 'Model Element' container reference feature.

Generated

### ANNOTATION__CONTENTS

static final EReference ANNOTATION__CONTENTS
The meta object literal for the 'Contents' containment reference list feature.

Generated

### ANNOTATION__REFERENCES

static final EReference ANNOTATION__REFERENCES
The meta object literal for the 'References' reference list feature.

Generated

### STRING_TO_STRING_MAP_ENTRY

static final EClass STRING_TO_STRING_MAP_ENTRY
The meta object literal for the '`String To String Map Entry`' class.

Since:
  4.22
See Also:
  - `StringToStringMapEntryImpl`
  - `EtypesPackageImpl.getStringToStringMapEntry()`
Generated

### STRING_TO_STRING_MAP_ENTRY__KEY

static final EAttribute STRING_TO_STRING_MAP_ENTRY__KEY
The meta object literal for the 'Key' attribute feature.

Since:
  4.22
Generated

### STRING_TO_STRING_MAP_ENTRY__VALUE

static final EAttribute STRING_TO_STRING_MAP_ENTRY__VALUE
The meta object literal for the 'Value' attribute feature.

Since:
  4.22
Generated

### BLOB

static final EDataType BLOB
The meta object literal for the 'Blob' data type.

See Also:
  - `CDOBlob`
  - `EtypesPackageImpl.getBlob()`
Generated

### CLOB

static final EDataType CLOB
The meta object literal for the 'Clob' data type.

See Also:
  - `CDOClob`
  - `EtypesPackageImpl.getClob()`
Generated

### LOB

static final EDataType LOB
The meta object literal for the 'Lob' data type.

Since:
  4.1
See Also:
  - `CDOLob`
  - `EtypesPackageImpl.getLob()`
Generated

### INPUT_STREAM

static final EDataType INPUT_STREAM
The meta object literal for the 'Input Stream' data type.

Since:
  4.3
See Also:
  - `InputStream`
  - `EtypesPackageImpl.getInputStream()`
Generated

### READER

static final EDataType READER
The meta object literal for the 'Reader' data type.

Since:
  4.3
See Also:
  - `Reader`
  - `EtypesPackageImpl.getReader()`
Generated

### CLASSIFIER_REF

static final EDataType CLASSIFIER_REF
The meta object literal for the 'Classifier Ref' data type.

Since:
  4.10
See Also:
  - `CDOClassifierRef`
  - `EtypesPackageImpl.getClassifierRef()`
Generated

### BRANCH_REF

static final EDataType BRANCH_REF
The meta object literal for the 'Branch Ref' data type.

Since:
  4.10
See Also:
  - `CDOBranchRef`
  - `EtypesPackageImpl.getBranchRef()`
Generated

### BRANCH_POINT_REF

static final EDataType BRANCH_POINT_REF
The meta object literal for the 'Branch Point Ref' data type.

Since:
  4.10
See Also:
  - `CDOBranchPointRef`
  - `EtypesPackageImpl.getBranchPointRef()`
Generated